// -*-C++-*-
/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _RESCUEEXPLORERFRAME_H_
#define _RESCUEEXPLORERFRAME_H_

class RescueExplorerTree;
class wxSashEvent;
class wxSashLayoutWindow;

class RescueExplorerFrame : public wxFrame {

  DECLARE_DYNAMIC_CLASS(RescueExplorerFrame)

public:
  //! Default ctor for wxWindows RTTI
  RescueExplorerFrame () {;}

  RescueExplorerFrame (wxWindow *parent,
		       const wxString &inputFile,
		       bool delayGeometryLoad,
		       bool delayPropertyLoad,
		       const wxString &version);

  bool dropFiles (wxCoord x, wxCoord y,
		  const wxArrayString& names);

private:

  enum {
    rexID_OPEN = wxID_HIGHEST + 10001,
    rexID_RELOAD,
    rexID_CLOSE,
    rexID_ADD_VERTEX,
    rexID_SHOW_CORNERS_ONLY,
    rexID_ABOUT,
    rexID_SASH_TREE,
    rexID_SASH_LIST
  };

  void OnOpen (wxCommandEvent &event);
  void OnReload (wxCommandEvent &event);
  void OnClose (wxCommandEvent &event);
  void OnAddVertex (wxCommandEvent &event);
  void OnUpdateAddVertex (wxUpdateUIEvent &event);
  void OnShowCornersOnly (wxCommandEvent &event);
  void OnUpdateShowCornersOnly (wxUpdateUIEvent &event);
  void OnAbout (wxCommandEvent &event);

  void OnSashDrag (wxSashEvent &event);
  void OnResize (wxSizeEvent &event);

  RescueExplorerTree *m_tree;

  wxSashLayoutWindow *m_treeSLW;
  wxSashLayoutWindow *m_listSLW;

  bool m_delayGeometryLoad;
  bool m_delayPropertyLoad;
  wxString m_version;

  DECLARE_EVENT_TABLE()
};

#endif // _RESCUEEXPLORERFRAME_H_
