// -*-C++-*-
/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _RESCUEEXPLORERPAIRS_H_
#define _RESCUEEXPLORERPAIRS_H_

#include <vector>

class RCHString;

class RescueExplorerPairs {
public:

  void add (const wxString &name, const wxString &value);
  void add (const wxString &name, const wxString &summaryLabel,
	    const wxArrayString &values);
  void add (const wxString &name, const char *value);
  void add (const wxString &name, RCHString *value);

  void add (const wxString &name, bool value);

  void add (const wxString &name, unsigned char *values, int count);
  void add (const wxString &name, unsigned short *values, int count);

  void add (const wxString &name, int value);
  void add (const wxString &name, int *values, int count);

  void add (const wxString &name, long value);
  void add (const wxString &name, long *values, long count);

  void add (const wxString &name, long long value);

  void add (const wxString &name, double value);
  void add (const wxString &name, double *values, int count);

  void add (const wxString &name, float value);
  void add (const wxString &name, float *values, int count, double offset=0.0);

  size_t getCount () const;
  wxString getName (size_t ix) const;
  wxString getValue (size_t ix) const;

  bool hasChildren (size_t ix) const;
  wxArrayString getChildren (size_t ix) const;

private:
  wxArrayString m_names;
  wxArrayString m_values;
  std::vector<wxArrayString> m_children;
};

#endif //  _RESCUEEXPLORERPAIRS_H_
