/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: block.cpp,v 1.3 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueBlock *block)
{
  wxTreeItemId leaf = addItem (parent, "Block", block->BlockName(), block);

  for (int i=0; i<block->BlockUnitCount(); i++)
    addLeaf (leaf, block->NthRescueBlockUnit (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueBlock *block)
{
  RescueExplorerPairs pairs;
  pairs.add ("BlockName", block->BlockName());
  pairs.add ("BlockUnitCount", block->BlockUnitCount());
  updateList (pairs);
}
