/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: context.cpp,v 1.3 2007/02/19 17:29:37 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueContext *context)
{
  AppendItem (parent, "Context", -1, -1,
	      new RescueExplorerTreeItemData ("Context", context));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueContext *context)
{
  RescueExplorerPairs pairs;
  pairs.add ("BinaryFlag", context->BinaryFlag () != 0);
  pairs.add ("ReadFileVersion", context->ReadFileVersion ());
  pairs.add ("FileVersion", context->FileVersion ());
  pairs.add ("LibraryVersion", context->LibraryVersion ());
  pairs.add ("LibrarySubVersion", context->LibrarySubVersion ());
  updateList (pairs);
}
