/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: documents.cpp,v 1.1 2007/08/21 10:16:10 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueDocument.h"
#include "RescueDocumentList.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueDocumentList *documentList)
{
  wxTreeItemId leaf = addItem (parent, "DocumentList",
			       wxEmptyString, documentList);

  for (long long i=0; i<documentList->Count(); i++)
    addLeaf (leaf, documentList->NthRescueDocument (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueDocumentList *documentList)
{
  RescueExplorerPairs pairs;
  pairs.add ("Count", documentList->Count());
  updateList (pairs);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueDocument *document)
{
  wxTreeItemId leaf = addItem (parent, "Document",
			       document->DocumentName(), document);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueDocument *document)
{
  RescueExplorerPairs pairs;
  pairs.add ("DocumentName", document->DocumentName());
  updateList (pairs);
}
