
#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueHorizon *horizon)
{
  wxTreeItemId leaf = addItem (parent, "Horizon",
			       horizon->HorizonName(), horizon);

  for (int i=0; i<horizon->BlockUnitHorizonSurfaceCount(); i++)
    addLeaf (leaf, horizon->NthRescueBlockUnitHorizonSurface (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueHorizon *horizon)
{
  RescueExplorerPairs pairs;
  pairs.add ("HorizonName", horizon->HorizonName());
  pairs.add ("BlockUnitHorizonSurfaceCount",
	     horizon->BlockUnitHorizonSurfaceCount());
  updateList (pairs);
}
