/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: macroVolume.cpp,v 1.5 2007/08/21 10:16:10 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueMacroVolume.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueMacroVolume *macroVolume)
{
  wxTreeItemId leaf = addItem (parent, "MacroVolume",
			       wxEmptyString, macroVolume);

#if 1			     // FIXME: Caused problems with some RMS models. 
  if (macroVolume->TopEdges())
    addLeaf (leaf, macroVolume->TopEdges());

  if (macroVolume->BottomEdges())
    addLeaf (leaf, macroVolume->BottomEdges());

  for (int i=0; i < macroVolume->CountOfSides(); i++)
    addLeaf (leaf, macroVolume->NthBlockUnitSide (i));
#endif
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueMacroVolume *macroVolume)
{
  RescueExplorerPairs pairs;
  pairs.add ("CountOfSides", macroVolume->CountOfSides());
  updateList (pairs);
}
