/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueModelPropertyGroup.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescuePropertyGroup *propertyGroup)
{
  wxTreeItemId leaf = addItem (parent, "PropertyGroup",
			       propertyGroup->GroupName(), propertyGroup);

  for (int i=0; i<propertyGroup->TimeStepCount(); i++)
    addLeaf (leaf, propertyGroup->NthTimeStepGroup (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescuePropertyGroup *propertyGroup)
{
  RescueExplorerPairs pairs;
  pairs.add ("GroupName", propertyGroup->GroupName());

  if (propertyGroup->ParentUnit())
    pairs.add ("(ParentUnit->UnitName)",
	       propertyGroup->ParentUnit()->UnitName());
  else
    pairs.add ("(ParentUnit)", 0);

  if (propertyGroup->ParentBlockUnit())
    pairs.add ("(ParentBlockUnit->BlockName)",
	       propertyGroup->ParentBlockUnit()->Block()->BlockName());
  else
    pairs.add ("(ParentBlockUnit)", 0);

  updateList (pairs);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueModelPropertyGroup *propertyGroup)
{
  wxTreeItemId leaf = addItem (parent, "ModelPropertyGroup",
			       propertyGroup->GroupName(), propertyGroup);

  for (int i=0; i<propertyGroup->GroupCount64(); i++)
    addLeaf (leaf, propertyGroup->NthGroup (i));
}
//----------------------------------------------------------------------------

void
RescueExplorerTree::showProperties (RescueModelPropertyGroup *propertyGroup)
{
  RescueExplorerPairs pairs;
  updateList (pairs);
}
