/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: referenceSurface.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueReferenceSurface *surface)
{
  wxTreeItemId leaf = addItem (parent, "ReferenceSurface",
			       wxEmptyString, surface);

  for (int i=0; i<surface->PropertyCount(); i++)
    addLeaf (leaf, surface->NthRescueProperty (i));

  for (int i=0; i<surface->CountOfPropertyGroup(); i++)
    addLeaf (leaf, surface->NthPropertyGroup (i));

  for (int i=0; i<surface->IJSurfaceCount(); i++)
    addLeaf (leaf, surface->NthIJSurface (i)); 
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueReferenceSurface
					 *surface)
{
  RescueExplorerPairs pairs;
  addProperties (pairs, surface);
  updateList (pairs);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::addProperties (RescueExplorerPairs &pairs,
					RescueReferenceSurface
					*surface)
{
  addProperties (pairs, dynamic_cast<RescueSurface *>(surface));
}
