/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: section.cpp,v 1.4 2007/08/29 02:43:08 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueSection *section)
{
  wxTreeItemId leaf = addItem (parent, "Section",
			       section->SectionName(), section);

  for (int i=0; i<section->PropertyCount(); i++)
    addLeaf (leaf, section->NthRescueProperty (i));

  for (int i=0; i<section->CountOfPropertyGroup(); i++)
    addLeaf (leaf, section->NthPropertyGroup (i));

  for (int i=0; i<section->IJSurfaceCount(); i++)
    addLeaf (leaf, section->NthIJSurface (i)); 

  section->ParentModel()->LoadWireframe();

  if (section->Edges())
    addLeaf (leaf, section->Edges());
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueSection *section)
{
  RescueExplorerPairs pairs;
  pairs.add ("SectionName", section->SectionName());
  addProperties (pairs, dynamic_cast<RescueSurface *>(section));
  updateList (pairs);
}

