/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueStairSteppedFault.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueStairSteppedFault *fault)
{
  wxTreeItemId leaf = addItem (parent, "StairSteppedFault",
			       wxEmptyString, fault);

  for (int i=0; i < fault->CellPairCount(); i++)
    addLeaf (leaf, fault->NthCellPair (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueStairSteppedFault *fault)
{
  RescueExplorerPairs pairs;
  pairs.add ("CellPairCount", fault->CellPairCount());
  updateList (pairs);
}
//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueIJKCellPair *pair)
{
#if 0
  wxTreeItemId leaf = addItem (parent, "IJKCellPair",
			       wxEmptyString, pair);
#else
  wxString type ("IJKCellPair");

  wxTreeItemId leaf =
    AppendItem (parent, type, -1, -1,
		new RescueExplorerTreeItemData (type, wxEmptyString, pair));
#endif
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueIJKCellPair *pair)
{
  RescueExplorerPairs pairs;
  pairs.add ("i1", pair->i1);
  pairs.add ("j1", pair->j1);
  pairs.add ("k1", pair->k1);
  pairs.add ("face1", pair->face1);
  pairs.add ("lgrid1", pair->lgrid1);
  pairs.add ("i2", pair->i2);
  pairs.add ("j2", pair->j2);
  pairs.add ("k2", pair->k2);
  pairs.add ("face2", pair->face2);
  pairs.add ("lgrid2", pair->lgrid2);
  updateList (pairs);
}
