/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: timeStepGroup.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueTimeStepGroup *timeStepGroup)
{
  wxTreeItemId leaf = addItem (parent, "TimeStepGroup",
			       timeStepGroup->TimeStepName(), timeStepGroup);

  for (int i=0; i<timeStepGroup->RescuePropertyCount(); i++)
    addLeaf (leaf, timeStepGroup->NthRescueProperty (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueTimeStepGroup *timeStepGroup)
{
  RescueExplorerPairs pairs;
  pairs.add ("TimeStepName", timeStepGroup->TimeStepName());
  updateList (pairs);
}
