/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: unit.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent, RescueUnit *unit)
{
  wxTreeItemId leaf = addItem (parent, "Unit", unit->UnitName(), unit);

  for (int i=0; i<unit->PropertyGroupCount(); i++)
    addLeaf (leaf, unit->NthRescuePropertyGroup (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueUnit *unit)
{
  RescueExplorerPairs pairs;
  pairs.add ("UnitName", unit->UnitName());
  pairs.add ("PropertyGroupCount", unit->PropertyGroupCount());
  updateList (pairs);
}
