/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: vertex.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

#include "RescueVertex.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueVertex *vertex)
{
  wxTreeItemId leaf = addItem (parent, "Vertex", vertex->VertexName(), vertex);

  if (vertex->CoordinateSystem())
    addLeaf (leaf, vertex->CoordinateSystem());
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueVertex *vertex)
{
  RescueExplorerPairs pairs;
  pairs.add ("VertexName", vertex->VertexName());
  pairs.add ("X", vertex->X());
  pairs.add ("Y", vertex->Y());
  pairs.add ("Z", vertex->Z());

  updateList (pairs);
}
