/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: wellbore.cpp,v 1.4 2007/06/08 16:45:23 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueWellbore *wellbore)
{
  wxTreeItemId leaf = addItem (parent, "Wellbore",
			       wellbore->WellboreName(), wellbore);

  if (wellbore->WellboreGrid ())
    addLeaf (leaf, wellbore->WellboreGrid ());

  if (wellbore->WellboreGeometry ())
    addLeaf (leaf, wellbore->WellboreGeometry());

  for (int i=0; i<wellbore->WellboreSamplingCount(); i++)
    addLeaf (leaf, wellbore->NthRescueWellboreSampling (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueWellbore *wellbore)
{
  RescueExplorerPairs pairs;
  pairs.add ("WellboreName", wellbore->WellboreName());
  updateList (pairs);
}
