/////////////////////////////////////////////////////////////////////////////
// Name:        RESCUE Explorer
// Purpose:     Explore RESCUE exports
// Copyright:   (C) 2006, Carl Godkin (carl@dgi.com)
// RCS-ID:	$Id: wireframe.cpp,v 1.3 2007/02/19 17:29:38 carl Exp $	
// License:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "RescueExplorerTree.h"

//----------------------------------------------------------------------------

void RescueExplorerTree::addLeaf (const wxTreeItemId &parent,
				  RescueWireframe *wireframe)
{
  wxTreeItemId leaf = addItem (parent, "Wireframe",
			       wxEmptyString, wireframe);

  for (int i=0; i < wireframe->PolyLineCount(); i++)
    addLeaf (leaf, wireframe->NthRescuePolyLine (i));

  for (int i=0; i < wireframe->VertexCount(); i++)
    addLeaf (leaf, wireframe->NthRescueTrimVertex (i));

  for (int i=0; i< wireframe->EdgeSetCount(); i++)
    addLeaf (leaf, wireframe->NthRescueEdgeSet (i));

  for (int i=0; i< wireframe->TrimLoopCount(); i++) 
    addLeaf (leaf, wireframe->NthRescueTrimLoop (i));
}
//----------------------------------------------------------------------------

void RescueExplorerTree::showProperties (RescueWireframe *wireframe)
{
  RescueExplorerPairs pairs;
  updateList (pairs);
}
